import SubmissionForm from '@/components/content-blocks/assignment/SubmissionForm.vue';

describe('SubmissionForm', () => {
  it.skip('renders', () => {
    cy.mount(SubmissionForm, {
      props: {
        userInput: {
          final: false,
          text: 'userInput',
        },
        saved: true,
        placeholder: 'Placeholder',
        action: 'Feedback teilen',
        reopen: () => { },
        document: '',
        sharedMsg: 'Shared Message',
        onTurnIn: () => { },
        onSaveInput: () => { },
        onReopen: () => { },
      },
    });
    cy.getByDataCy('submission-textarea').should('exist').should('have.attr', 'placeholder', 'placeholder');
  });
});
